﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Managing Orphan Accounts</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Orphan Accounts</h1>
        <h2>What is an Orphan Account</h2>
        <p>An&#160;orphan account&#160;is an&#160;operational account&#160;that is not&#160;linked&#160;to a valid identity such as a&#160;user&#160;ora user group. For example, an orphan account is created when the end-user linked to that account leaves the organization.</p>
        <p>Orphan accounts pose serious risks to an organization:</p>
        <ul>
            <li>
                <p>If the account has no owner assigned, or the owner has left, the account represents a risk of&#160;misuse&#160;because any unusual use of the account&#160;cannot&#160;be detected as the owner does not exist.</p>
            </li>
            <li>
                <p>The account cannot be deactivated when no owner is assigned&#160;to it as there is no approver&#160;for approving this request.</p>
            </li>
        </ul>
        <h2>Identifying&#160;the Imported Orphan Accounts</h2>
        <p style="margin-left: 0.0cm;">To identify accounts which are already imported in IGA, you may create an analytics control with the query&#160;below. Executing the control will provide details about the orphan accounts present in IGA. You may modify the query based on your requirement, for eg. Orphan accounts for a specific endpoint or Orphan accounts for a specific type of accounts:&#160;</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select a.accountkey as acctKey,a.name, e.endpointname from accounts a, endpoints e where a.endpointkey=
e.ENDPOINTKEY and a.ACCOUNTKEY not in (select distinct accountkey
from user_accounts);</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2>Associating an orphan account with a user:</h2>
        <p>You can&#160;associate an orphan account with a userin the following ways:</p>
        <ol>
            <li>
                <p>With Analytical control</p>
            </li>
            <li>
                <p>From the Admin tab</p>
            </li>
        </ol>
        <h3>Associating an Orphan Account with a User using Analytical Control</h3>
        <p>Follow the steps below to associate an orphan account with a user using Analytical control</p>
        <ol>
            <li>
                <p>Go to <strong>Analytics</strong> tab and create a new analytics control (V1 or V2) by using the query<br /><span class="attr">select a.accountkey as acctKey, </span><span href="http://a.name" class="attr" rel="nofollow">a.name</span><span class="attr">, e.endpointname from accounts a, endpoints e where a.endpointkey=<br style="text-align: left;" />e.ENDPOINTKEY and a.ACCOUNTKEY not in (select distinct accountkey&#160;from user_accounts);</span><br /> (For example).&#160; &#160;</p>
                <p>
                    <img src="../../Resources/Images/Analytics config.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
                <p>
                </p>
                <p>
                    <img src="../../Resources/Images/analytics history.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
            </li>
            <li>
                <p>Click <b>Create &gt; Submit &gt; Run the control</b>.</p>
            </li>
            <li>
                <p>Navigate to the <strong>Analytics history</strong> page and click <strong>Map orphan account</strong>.</p>
            </li>
            <p>
                <p>
                    <img src="../../Resources/Images/analytics history1.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                </p>
            </p>
            <li>
                <p>Select the user &gt; Click <strong>Submit</strong>.</p>
                <p>
                    <img src="../../Resources/Images/select user.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
            </li>
        </ol>
        <h3>Associating an Orphan Account with a User using Admin Tab</h3>
        <p>Follow the steps below to associate an orphan account with a user using Admin tab:</p>
        <ol>
            <li>
                <p>Go to  <b>Admin&gt; Identity Repository&gt; Accounts</b>.</p>
            </li>
            <li>
                <p>Search for the orphan account&gt; Click to open it.</p>
            </li>
            <li>
                <p>Click on<strong> Select User</strong> button.
				</p>
                <p>
                    <img src="../../Resources/Images/Account detail.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
            </li>
            <li>
                <p>Select the desired user to map. You can select one user using the radio button. To change it, select another.
			</p>
                <p>
                    <img src="../../Resources/Images/select user.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 500px;" />
                </p>
            </li>
            <li>
                <p>Click<strong> Submit</strong>.</p>
                <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
                    <p class="note">When you manually map the user(s) in IGA, and in the next reconciliation/mapping exercise, there is no correlation between the account and the user, IGA retains the value which was previously manually mapped.</p>
                </div>
            </li>
        </ol>
    </body>
</html>